{
    attributes = (
        {
            columnName = ALIAS; 
            externalType = VARCHAR2; 
            name = alias; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSDecimalNumber; 
        }
    ); 
    attributesUsedForLocking = (persId, alias); 
    className = EOGenericRecord; 
    classProperties = (persId, alias, toIndividu, toPersonne); 
    externalName = PERSONNE_ALIAS; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_clientClassPropertyNames = (persId, alias, toIndividu, toPersonne); }; 
    name = PersonneAlias; 
    primaryKeyAttributes = (persId, alias); 
    relationships = (
        {
            destination = IndividuUlr; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toIndividu; 
        }, 
        {
            destination = Personne; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toPersonne; 
        }
    ); 
}
